Bug 624833 - Review Request: dhcp_probe - Tool for discover DHCP and BootP servers
Summary: Review Request: dhcp_probe - Tool for discover DHCP and BootP servers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Guillermo Gómez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 611476 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-17 21:14 UTC by Daniel Bruno
Modified: 2012-05-17 18:12 UTC (History)
6 users (show)

Fixed In Version: dhcp_probe-1.3.0-6.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-08 20:33:30 UTC
guillermo.gomez: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Bruno 2010-08-17 21:14:45 UTC
SPEC URL: http://dbruno.fedorapeople.org/dhcp_probe/dhcp_probe.spec
SRPM URL:
http://dbruno.fedorapeople.org/dhcp_probe/dhcp_probe-1.3.0-2.fc13.src.rpm

Description: dchp_probe attempts to discover DHCP and BootP servers on a
directly-attached Ethernet network.
A network administrator can use this tool to locate unauthorized DHCP and BootP
servers.


$ rpmlint -i SPECS/dhcp_probe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Guillermo Gómez 2010-08-17 22:38:49 UTC
It looks like u have tampered the tarball, u should not do that, use Source1 to include adittional init script.

Comment 2 Toshio Ernie Kuratomi 2010-08-17 22:51:46 UTC
I'm willing to sponsor dbruno.  Guillermo will continue the review process and when it's done I will sponsor and he and I will share mentor responsibilities.

Comment 3 Daniel Bruno 2010-08-18 02:41:01 UTC
Guillermo and Toshio thanks a lot for the support!


spec: http://dbruno.fedorapeople.org/dhcp_probe/1.3.0-3/dhcp_probe.spec

srpm: http://dbruno.fedorapeople.org/dhcp_probe/1.3.0-3/dhcp_probe-1.3.0-3.fc13.src.rpm


$ rpmlint SPECS/dhcp_probe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 Guillermo Gómez 2010-08-18 04:36:29 UTC
1. Please improve absolute path use in scriptlets for consistency (better use absolute paths)

%post
chkconfig --add dhcp_probe    << rel path

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del dhcp_probe  << abs path
fi

2. Requires are needed for chkconfig and service commands, 

http://fedoraproject.org/wiki/Packaging:SysVInitScript#Initscripts_in_spec_file_scriptlets

3. chkconfig dhcp_probe off would force a configuration change on upgrade, avoid it

4. SysV implement condrestart (and try-restart): restart the service if the service is already running, if not, do nothing 

5. SysV implement force-reload: reload the configuration of the service and restart it so that it takes effect 

6. Exit Codes for non-Status Actions and Exit Codes for the Status Action needs improovements following Initscripts must be on their best behavior

:) dhcp_probe works fine and builds on koji, just need some love on the initscript

Comment 5 Terje Røsten 2010-08-18 07:45:27 UTC
*** Bug 611476 has been marked as a duplicate of this bug. ***

Comment 6 Terje Røsten 2010-08-18 07:55:25 UTC
Only some cosmetic comments:

o have you sent patches upstream or are they from upstream, please
  add a comment in the spec about the patches?
o for better readability add a empty line before the %clean section?
o %config(noreplace) %_sysconfdir/dhcp_probe.cf: add {} in sysconfdir macro
o %{_mandir}/man8/* -> %{_mandir}/man8/dhcp_probe.8*
  %{_mandir}/man5/* -> %{_mandir}/man5/dhcp_probe.cf.5*

Comment 7 Daniel Bruno 2010-08-24 03:22:16 UTC
The new spec and srpm with the improvements.

spec: http://dbruno.fedorapeople.org/dhcp_probe/1.3.0-4/dhcp_probe.spec

srpm: http://dbruno.fedorapeople.org/dhcp_probe/1.3.0-4/dhcp_probe-1.3.0-4.fc13.src.rpm


$ rpmlint SPECS/dhcp_probe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 8 Daniel Bruno 2010-09-09 13:01:31 UTC
The new spec and srpm:

spec: http://dbruno.fedorapeople.org/dhcp_probe/1.3.0-5/dhcp_probe.spec

srpm:
http://dbruno.fedorapeople.org/dhcp_probe/1.3.0-5/dhcp_probe-1.3.0-5.fc13.src.rpm


$ rpmlint SPECS/dhcp_probe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 9 Guillermo Gómez 2010-09-10 21:22:51 UTC
Koji builds for F12, F13 and F14.

1. SysV implement condrestart (and try-restart): restart the service if the
service is already running, if not, do nothing.

minimun implementation suggested:

condrestart|try-restart)
     rh_status_q || exit 0
     restart
     ;;

2. dhcp_probe..: W: service-default-enabled /etc/rc.d/init.d/dhcp_probe 

service default state must be disabled

Comment 11 Guillermo Gómez 2010-09-23 15:29:53 UTC
im satisfied with this version. Daniel, now we need the sponsorship.

APPROVED

Comment 12 Toshio Ernie Kuratomi 2010-09-23 16:56:27 UTC
I've sponsored dbruno.  Daniel, feel free to ask questions of both Guillermo and myself :-)

Took a quick look at the spec file and it looks fine.

Comment 13 Daniel Bruno 2010-09-24 15:08:35 UTC
New Package SCM Request
=======================
Package Name: dhcp_probe
Short Description: Tool for discover DHCP and BootP servers
Owners: dbruno
Branches: f12 f13 f14
InitialCC: gomix

Comment 14 Kevin Fenzi 2010-09-25 05:32:06 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2010-09-29 14:19:27 UTC
dhcp_probe-1.3.0-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dhcp_probe-1.3.0-6.fc13

Comment 16 Fedora Update System 2010-09-29 15:18:20 UTC
dhcp_probe-1.3.0-6.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/dhcp_probe-1.3.0-6.fc12

Comment 17 Fedora Update System 2010-09-29 15:42:51 UTC
dhcp_probe-1.3.0-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dhcp_probe-1.3.0-6.fc14

Comment 18 Fedora Update System 2010-09-30 05:31:50 UTC
dhcp_probe-1.3.0-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp_probe'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dhcp_probe-1.3.0-6.fc14

Comment 19 Fedora Update System 2010-10-08 20:33:25 UTC
dhcp_probe-1.3.0-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-10-18 05:45:34 UTC
dhcp_probe-1.3.0-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-10-19 07:02:53 UTC
dhcp_probe-1.3.0-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Michael Schwendt 2012-05-17 18:12:05 UTC
I wonder why bug reports for this package have not been responded to?

 * http://bugz.fedoraproject.org/dhcp_probe
 * https://fedoraproject.org/wiki/Package_maintainer_responsibilities


Note You need to log in before you can comment on or make changes to this bug.